package com.supervision.knowsub.vo.user;


import com.supervision.knowsub.dto.role.UserRoleDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;


@Data
public class LoginResVO {

    @Schema(description = "主键")
    private String id;

    @Schema(description = "用户账户")
    private String account;

    @Schema(description = "用户名称")
    private String username;

    @Schema(description = "用户角色信息")
    private List<UserRoleDTO> userRoleDTOList;

    @Schema(description = "token")
    private String token;

    private static final long serialVersionUID = 1L;
}
